; ======================================================================
;
;  NetMgr -  copy, move, delete, change and bounce netmail. (+ more :-)
;
;          (c) 1992,93,94,95  Gerard van Essen (2:281/527)
;
; ======================================================================
;
;
; For 'debugging' purposes you can start netmgr with the
; -d command line switch. This will send NetMgr's interpretation
; of your config file to stdout.
; While scanning your netmail area, it will also send some info
; about the headers of the messages to stdout.
; You can easily redirect it to a file (netmgr -d > debug.txt)
; for inspection.
;
; ------
;
; NetMgr will exit as soon as an error is detected in the
; configuration (for the same reason: safety first). So if
; you change anything in the config, you should first give
; it a 'test run'.
;
; ------
;
; First your primary address.
; The zone is used as a default value for 'zoneless'
; messages...
;
; This *must* be a full 4D address (as all addresses in
; netmgr.cfg should be..). This is a bit 'strict checking',
; but with actions like 'delete' I want to take no risks.

Home 2:281/527.0

;
; If you have a Hudson base, you can specify where it is located with the
; following keyword. Do *not* use this keyword if you don't have a Hudson
; base!
;

HudsonPath d:\msgs\hudson

;
; If you are using Squishmail together with Binkley, you may
; want to specify the follwoing keyword.
; READ THE DOCS REGARDING THIS KEYWORD!
;

;NoFlags

;
; If you want to FORCE NetMgr to put an INTL kludge on _every_ message
; that is somehow writes (for example even in a rewrite!), set this
; to 'yes'. Usually not needed.
; Please note, that for newly created messages (for example with 'bounce'
; and such keywords, NetMgr will always include an INTL kludge anyway!).
;

INTLforce No

;
; An originline, will be used for EchoCopy and EchoMove.
;

Origin   NetMgr, (c) 1992,93,94  Gerard van Essen

;
; The location and name of your logfile. Leave this
; keyword out if you don't want a logfile.
;

Log c:\tc\netmgr\netmgr.log

;
; The keyword below will make NetMgr log in a style that is much like
; the logfile that FrontDoor generates. If you leave this out, the logfile
; will look like the ones that Binkley generates.
;

FrodoLog

;
; If you want NetMgr to generate echomail/netmail.jam files,
; use the keyword below to tell NetMgr where to put the files.
;

JamLog c:\ra\msgbase

;
; Where your V7 nodelist is located (needed for nodelist tracking
; functions).
;

;Nodelist C:\bt\nodelist

;
; Where your Frodo nodelist is located (needed for nodelist tracking
; functions).
;

;FDNodelist c:\frodo\nodelist

;
; Where your GIGO nodelist is located (needed for nodelist tracking
; functions).
;

;GIGONodelist c:\gateway\nodelist

;
; Location of your nodelist cache (directory only)
;

NodelistCache c:\netmgr\

;
;  Size of the nodelist cache.
;

CacheSize 250

;
;  Your outbound directory (primary zone)
;

Outbound c:\binkley\out

;
; The directories to scan, usually your primary netmail dir, I guess..
;
; A '$' in front of an area indicates a Squish style area.
;
; A '!' in front of an area indicates a JAM style area.
;
; A '#' in front of an area indicates a Hudson style area.
;
; You can have as many of these as you like, NetMgr will scan
; all of them.. (watch it! You may end up moving messages to the
; area you are currently scanning, which will cause PROBLEMS!).
;
; It will scan for the masks following the ScanDir statement(s),
; until a new ScanDir statement is encountered. (And will then
; scan that new ScanDir for Masks following *that* ScanDir).
;

ScanDir c:\fd\netmsgs renum

ScanDir $c:\msgs\netmail

; ===========================================================
;
; Now for the real work:
;
; Always specify both one or more 'masks' (or Xmasks) and one or more
; corresponding 'actions' for those masks.
;
; See the docs for everything that is possible!
;
; ===========================================================
;
; This will delete all messages addressed to Harry Twit.
; It doesn't matter who sent it, from what address,
; what node it is addressed to, or what attributes it has,
; it will be lost forever :-)
;
; -----------------------------------------------------------

Mask *, *, Harry Twit, *, *, *

Action Delete

; ===========================================================
;
; This will move all mail to a zone 60 address to a secondary
; (Squish style) netmail area..
;
; -----------------------------------------------------------

Mask *, *, *, 60:*/*.*, *, *

Action Move $c:\bink\msgs\net2

; ===========================================================
;
; This will move all msgs addressed to me, that have the
; 'received' status, and *without* the L)ocal bit set, to
; another area (*.MSG style).
;
; And it will also do that with messages *from* me, that have
; the 'sent' and 'local' bits set.
;
; So, when *any* of the two masks is matched, the action
; is performed.
;
; -----------------------------------------------------------

Mask *, *, Gerard van.Essen, 2:281/527.0, *, +r-l
Mask Gerard van.Essen, 2:281/527.0, *, *, *, +s+l

Action Move c:\msgs\rec_msg

; ===========================================================
;
; This will take all msgs, coming from any point of 281/527,
; addressed to UUCP on 281/527, and set the point number to 0.
; It will also set the L)ocal and P)rivate bits ON, and strip
; any present C)rash attributes.
;
; I do this to fool my UUCP gate into thinking messages from
; my points are locally generated messages.
;
; After the rewrite, the message will be moved to a JAM style
; netmail areas.
;
; So, when the mask is matched, *two* actions will be performed
; on the message.
;
; -----------------------------------------------------------

Mask *, 2:281/527.*, uucp, 2:281/527.0, *, *

Action Rewrite *, *:*/*.0, *, *, *, +l+p-c
Action Move !c:\fd\netfred


; ===========================================================
;
; This will bounce all messages addressed to 'John Doe' on
; 281/527, and put 'nojoe.txt' at the top of the message,
; that tells the sender that Joe's modem blew up :-)
; The origination address of the bounce-message is 2:281/527.
;
; -----------------------------------------------------------

Mask *, *, John Doe, 2:281/527.0, *, *

Action Bounce 2:281/527.0 nojoe.txt

;
; Note that this will not DELETE the bounced message (This is
; on purpose, curious SysOps do a move after they bounced
; the message :-)
; They would do that like this:
;

Mask *, *, John Doe, 2:281/527.0, *, *

Action Bounce 2:281/527.0 nojoe.txt
Action Move !c:\msgs\saved

; ===========================================================
;
; This will take all messages coming from mailer@list at
; 2:281/527 and to list@receiver at 281/527, and copy them
; to an echomail area (a Hudson area, board 102), adding
; an origin and a seen-by line containing "281/527 528"
; (note that seen-by lines are 2D!). This prevents export
; of the message to 281/527 and 528.
;
; This is just treated as a 'text string', so be careful
; (NetMgr will happily add 'Howdy' if that's what you
; specify (not recommended :-)
;
; The 'local' bit will be set, and a newly generated MSGID
; will be added.
; The address used for origin & msgid is 2:281/527
;
; -----------------------------------------------------------

Mask mailer@list, 2:281/527.0, list@receiver, 2:281/527.0, *, *

Action EchoCopy 2:281/527.0 #102 281/527 528

;
; The following will take messages addressed to a name
; that contains 'essen' (so messages to me, even with small
; misspellings) on 2:281/527.
; It will move those messages to a JAM netmail area.
;

Mask *, *, ~essen, 2:281/527.0, *, *

Action Move !c:\fd\netjam

;
; The following will take all messages that are *not* written
; by 'Gerard van Essen', but are coming from 2:281/527 (my address,
; so probably one of my BBS users) and have the 'sent' status.
; Those messages will be moved to the special 'sent messages'
; area for BBS users.
;

Mask !Gerard van Essen, 2:281/527.0, *, *, *, +s

Action Move $c:\fd\usersent

;
; This will generate a semaphore if any messages addressed to
; 'Areafix' are found. Together with:
; 'if exist c:\sems\areafix.sem areafix.exe'
; this can be used to run Areafix ONLY when there is actually a
; message waiting for it!
;

Mask *, *, Areafix, 2:281/527.0, *, *

Action Semaphore c:\sems\areafix.sem

;
; This will take any message addressed to a name with a '@'
; somewhere in the string (usually an Internet address!) and
; add that name to the body of the message (TO: <address>).
; In addition it will rewrite the TO: name to 'postmaster',
; ready for processing by the Internet gate.
;

Mask *, *, ~@, 2:281/527.0, *, *

Action UUCPRewrite *, *, postmaster, *, *, *

;
; This will write all local messages addressed to 1:138/211
; to a file called outusa.txt.
;

Mask *, *, *, 1:138/211.0, *, +l

Action File c:\msgs\outusa.txt

;
;  ----- === ----- === ----- === ----- === ----- === -----
;
;  End of first section, now we specify another ScanDir, that
;  will be scanned for the masks that follow.
;
;  ----- === ----- === ----- === ----- === ----- === -----
;

;
;  Spefify another ScanDir. NetMgr will close the other areas
;  and start scanning this one..
;  Here we specify a Hudson area, board number 21:
;

ScanDir #21

;
; And we scan that area (board #21) for the following masks(s):
;


;
; Take messages addressed to 'Pietje Puk' on 2:281/527, bounce it to
; the sender, write it to file, forward it to Pietje Puk on 2:300/1
; and then delete the original.
;

Mask *, *, Pietje Puk, 2:281/527.0, *, *
Action Bounce 2:281/527.0, c:\txt\newaddr.txt
Action File c:\msgs\pietje.txt
Action Forward Art, 2:281/527.0, Pietje Puk, 2:300/1.0, Readdressed mail, *
Action Delete


;
; This will look for a message addressed to 'freqnow' and with
; 'password' as the subject.
; It will then generate a file-request message (+f attribute) to
; 1:138/211, with the contents of 'freq.txt' as it's body.
;

Mask Remote SysOp, 2:281/527.1, Freqnow, 2:281/527.0, password, *
Action Makemsg freq.txt SysOp, 2:281/527.0, SysOp, 1:138/211.0, files, +c+l+f

;
; // End of sample config file..
;

